Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.rtf.rtflib.tools
Class ImageConstants

    java.lang.Object
      org.apache.fop.render.rtf.rtflib.tools.ImageConstants

    public final class ImageConstants

extends java.lang.Object

Here will be defined all supported image formats. This class belongs to the tag processing.

This work was authored by Andreas Putz (a.putz@skynamics.com).

Field Summary
`static java.lang.String` | `EMF_EXT` EMF file extension
`static java.lang.String` | `GIF_EXT` GIF file extension
`static int` | `I_BMP` Integer equivalent for BMP
`static int` | `I_EMF` Integer equivalent for EMF
`static int` | `I_GIF` Integer equivalent for GIF
`static int` | `I_JPG` Integer equivalent for JPG
`static int` | `I_JPG_C` Integer equivalent for JPEG C (??)
`static int` | `I_NOT_SUPPORTED` Defines the case, if image is not supported
`static int` | `I_PNG` Integer equivalent for PNG
`static java.lang.String` | `JPEG_EXT` JPEG file extension
`static java.lang.String` | `JPG_EXT` JPG file extension
`static java.lang.String` | `PNG_EXT` PNG file extension

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### I_NOT_SUPPORTED

    public static final int I_NOT_SUPPORTED

  Defines the case, if image is not supported

  See Also:
    Constant Field Values

### I_EMF

    public static final int I_EMF

  Integer equivalent for EMF

  See Also:
    Constant Field Values

### I_PNG

    public static final int I_PNG

  Integer equivalent for PNG

  See Also:
    Constant Field Values

### I_JPG

    public static final int I_JPG

  Integer equivalent for JPG

  See Also:
    Constant Field Values

### I_BMP

    public static final int I_BMP

  Integer equivalent for BMP

  See Also:
    Constant Field Values

### I_GIF

    public static final int I_GIF

  Integer equivalent for GIF

  See Also:
    Constant Field Values

### I_JPG_C

    public static final int I_JPG_C

  Integer equivalent for JPEG C (??)

  See Also:
    Constant Field Values

### EMF_EXT

    public static final java.lang.String EMF_EXT

  EMF file extension

  See Also:
    Constant Field Values

### PNG_EXT

    public static final java.lang.String PNG_EXT

  PNG file extension

  See Also:
    Constant Field Values

### JPG_EXT

    public static final java.lang.String JPG_EXT

  JPG file extension

  See Also:
    Constant Field Values

### JPEG_EXT

    public static final java.lang.String JPEG_EXT

  JPEG file extension

  See Also:
    Constant Field Values

### GIF_EXT

    public static final java.lang.String GIF_EXT

  GIF file extension

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.